<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Izg project: PointBoxData Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Izg project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">PointBoxData Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This struct holds all variables.  
 <a href="structPointBoxData.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:acec81e47d56286a7994aef662694fc42"><td class="memItemLeft" align="right" valign="top"><a id="acec81e47d56286a7994aef662694fc42"></a>
<a class="el" href="student_2fwd_8h.html#a15e62786033208aec9487a51e808f81d">ProgramID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structPointBoxData.html#acec81e47d56286a7994aef662694fc42">prg</a></td></tr>
<tr class="memdesc:acec81e47d56286a7994aef662694fc42"><td class="mdescLeft">&#160;</td><td class="mdescRight">program id <br /></td></tr>
<tr class="separator:acec81e47d56286a7994aef662694fc42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9eed6fe44cf77b8c7e98a88d25eb2211"><td class="memItemLeft" align="right" valign="top"><a id="a9eed6fe44cf77b8c7e98a88d25eb2211"></a>
<a class="el" href="student_2fwd_8h.html#a23828e2281a794e193ebaf0df3e1f17c">VertexPullerID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structPointBoxData.html#a9eed6fe44cf77b8c7e98a88d25eb2211">vao</a></td></tr>
<tr class="memdesc:a9eed6fe44cf77b8c7e98a88d25eb2211"><td class="mdescLeft">&#160;</td><td class="mdescRight">vertex puller id <br /></td></tr>
<tr class="separator:a9eed6fe44cf77b8c7e98a88d25eb2211"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65fa14357d247945143d10d5a60cde3e"><td class="memItemLeft" align="right" valign="top"><a id="a65fa14357d247945143d10d5a60cde3e"></a>
<a class="el" href="student_2fwd_8h.html#a60a12bf4868ebe47cc571ce96a03f99c">BufferID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structPointBoxData.html#a65fa14357d247945143d10d5a60cde3e">vbo</a></td></tr>
<tr class="memdesc:a65fa14357d247945143d10d5a60cde3e"><td class="mdescLeft">&#160;</td><td class="mdescRight">vertex buffer object id <br /></td></tr>
<tr class="separator:a65fa14357d247945143d10d5a60cde3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acca7bde471ab3396be16f21efda7c639"><td class="memItemLeft" align="right" valign="top"><a id="acca7bde471ab3396be16f21efda7c639"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structPointBoxData.html#acca7bde471ab3396be16f21efda7c639">nofPoints</a></td></tr>
<tr class="memdesc:acca7bde471ab3396be16f21efda7c639"><td class="mdescLeft">&#160;</td><td class="mdescRight">number of vertices <br /></td></tr>
<tr class="separator:acca7bde471ab3396be16f21efda7c639"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This struct holds all variables. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>student/pointBoxMethod.c</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Apr 23 2019 13:21:21 for Izg project by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
